Debian Bug report logs - #696901
chroot-setup.sh: [kfreebsd-*] procfs mounted instead of linprocfs in target

version graph

Package: debian-installer-utils; Maintainer for debian-installer-utils is Debian Install System Team <debian-boot@lists.debian.org>;

Reported by: Steven Chamberlain <steven@pyro.eu.org>

Date: Sat, 29 Dec 2012 00:21:01 UTC

Severity: important

Tags: d-i, patch

Found in versions 1.92, 1.94

Fixed in version debian-installer-utils/1.92+deb7u1

Done: Christian Perrier <bubulle@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#696901; Package debian-installer-utils. (Sat, 29 Dec 2012 00:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 29 Dec 2012 00:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: chroot-setup.sh: [kfreebsd-*] procfs mounted instead of linprocfs in target
Date: Sat, 29 Dec 2012 00:17:44 +0000
[Message part 1 (text/plain, inline)]
Package: debian-installer-utils
Version: 1.94
Severity: important
Tags: d-i patch
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org

Hi,

I noticed that the wrong type of proc filesystem, procfs (meant for
native FreeBSD) gets mounted in a kfreebsd-amd64 target during install.

The correct proc filesystem for GNU/kFreeBSD is linprocfs.  This
contains among other things, /proc/cmdline (which is what
chroot-setup.sh actually looks for to decide if proc needs mounting).

Later, when grub-installer runs, it would have tried to mount
/target/proc correctly (as linprocfs) thanks to the fix for #613430, but
only if that directory is empty, which procfs will not be.

As a result, the grub-common postinst complains about being unable to
find /proc/mounts, with unknown consequences.  (grub-mkdevicemap and
grub-probe still seem to work;  the GRUB install step fails currently
for a different reason).

A patch fixing this is attached.  Thanks.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 9.0-2-amd64
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[debian-installer-utils.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#696901; Package debian-installer-utils. (Wed, 02 Jan 2013 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 02 Jan 2013 20:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 696901@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 696901@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#696901: chroot-setup.sh: [kfreebsd-*] procfs mounted instead of linprocfs in target
Date: Wed, 2 Jan 2013 21:09:04 +0100
[Message part 1 (text/plain, inline)]
Control: tag -1 pending
Control: found -1 1.92

Steven Chamberlain <steven@pyro.eu.org> (29/12/2012):
> Package: debian-installer-utils
> Version: 1.94
> Severity: important
> Tags: d-i patch
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> X-Debbugs-Cc: debian-bsd@lists.debian.org
> 
> Hi,
> 
> I noticed that the wrong type of proc filesystem, procfs (meant for
> native FreeBSD) gets mounted in a kfreebsd-amd64 target during install.
> 
> The correct proc filesystem for GNU/kFreeBSD is linprocfs.  This
> contains among other things, /proc/cmdline (which is what
> chroot-setup.sh actually looks for to decide if proc needs mounting).
> 
> Later, when grub-installer runs, it would have tried to mount
> /target/proc correctly (as linprocfs) thanks to the fix for #613430, but
> only if that directory is empty, which procfs will not be.
> 
> As a result, the grub-common postinst complains about being unable to
> find /proc/mounts, with unknown consequences.  (grub-mkdevicemap and
> grub-probe still seem to work;  the GRUB install step fails currently
> for a different reason).
> 
> A patch fixing this is attached.  Thanks.

Thank you, applied in the wheezy branch; a tpu upload is awaiting
Christian's decision WRT cherry-picking l10n updates:
  http://lists.debian.org/20130102200430.GG24625@mraw.org

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Cyril Brulebois <kibi@debian.org> to 696901-submit@bugs.debian.org. (Wed, 02 Jan 2013 20:12:03 GMT) Full text and rfc822 format available.

Marked as found in versions 1.92. Request was from Cyril Brulebois <kibi@debian.org> to 696901-submit@bugs.debian.org. (Wed, 02 Jan 2013 20:12:03 GMT) Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Tue, 22 Jan 2013 06:06:39 GMT) Full text and rfc822 format available.

Notification sent to Steven Chamberlain <steven@pyro.eu.org>:
Bug acknowledged by developer. (Tue, 22 Jan 2013 06:06:39 GMT) Full text and rfc822 format available.

Message #19 received at 696901-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 696901-close@bugs.debian.org
Subject: Bug#696901: fixed in debian-installer-utils 1.92+deb7u1
Date: Tue, 22 Jan 2013 06:02:28 +0000
Source: debian-installer-utils
Source-Version: 1.92+deb7u1

We believe that the bug you reported is fixed in the latest version of
debian-installer-utils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696901@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated debian-installer-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 21 Jan 2013 22:18:39 +0100
Source: debian-installer-utils
Binary: di-utils-shell di-utils-reboot di-utils-exit-installer di-utils di-utils-mapdevfs di-utils-terminfo
Architecture: source all i386
Version: 1.92+deb7u1
Distribution: testing-proposed-updates
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 di-utils   - Miscellaneous utilities for the debian installer (udeb)
 di-utils-exit-installer - Exit installer (udeb)
 di-utils-mapdevfs - mapdevfs utility for the debian installer (udeb)
 di-utils-reboot - Reboot (udeb)
 di-utils-shell - Execute a shell (udeb)
 di-utils-terminfo - Terminfo entries needed by newt/slang in debian installer (udeb)
Closes: 696901
Changes: 
 debian-installer-utils (1.92+deb7u1) testing-proposed-updates; urgency=low
 .
   * Fix procfs mounting on GNU/kFreeBSD: it's called linprocfs, rather
     than procfs (Closes: #696901). Thanks, Steven Chamberlain!
 .
   [ Updated translations ]
   * Asturian (ast.po) by ivarela
   * Catalan (ca.po) by Jordi Mallach
   * Galician (gl.po) by Jorge Barreiro
Checksums-Sha1: 
 251d5c7f6782c5c2e08353d3cc35559c359b4f65 2182 debian-installer-utils_1.92+deb7u1.dsc
 ecc4e45ddbe4a2c4ded6b062af745cf81dc9c5fb 113346 debian-installer-utils_1.92+deb7u1.tar.gz
 28c9488174c0a43c42a485a62fabb799b6a92846 22046 di-utils-shell_1.92+deb7u1_all.udeb
 4202955ea2c24c05fa6baa6d2e9bea305fd676d7 9950 di-utils-reboot_1.92+deb7u1_all.udeb
 cf5d08fe7e72422300598da177592565d51c4f1e 2808 di-utils-exit-installer_1.92+deb7u1_all.udeb
 5d5f86ab1134d79a494187e16ac6e871cbaa2f5c 32040 di-utils_1.92+deb7u1_i386.udeb
 6f9dfe7d272fd5b1376090a8460a7a7be199d93c 2240 di-utils-mapdevfs_1.92+deb7u1_i386.udeb
 03701abe1423c0e29c4f6fb943a2e07ee3659d3a 2388 di-utils-terminfo_1.92+deb7u1_i386.udeb
Checksums-Sha256: 
 c708a2fc3e415871ce249cb9319ef86e232feaedc3ea33e2ac2e9ca77e765173 2182 debian-installer-utils_1.92+deb7u1.dsc
 05db25fceec963fb3b3c051b072e2816135ba830ca98f36c601184c35d2500f3 113346 debian-installer-utils_1.92+deb7u1.tar.gz
 6d4c4427eb5cb3369aea3e8ae276b90a4fc72628c9df52c134b4b14bb7d0c6f2 22046 di-utils-shell_1.92+deb7u1_all.udeb
 a307fa194883691e0710219ddfdb3af61eee18def4870ca70330bb4e168e3499 9950 di-utils-reboot_1.92+deb7u1_all.udeb
 2c74244845c4b9421ebbd9c93777f6e0ffb898d163e7c06c33a5515edfffee00 2808 di-utils-exit-installer_1.92+deb7u1_all.udeb
 ea3b597d17cea397ca13b29a14488e176bd0103c6d49bb3c02cf58ef6abadf26 32040 di-utils_1.92+deb7u1_i386.udeb
 f17aaf8271d7424fd6caef442507e5ee6ab075ef347f79aa54c0623961a9ccdc 2240 di-utils-mapdevfs_1.92+deb7u1_i386.udeb
 d09387e9f8159471ea8cc4100c526f5cccfc97d6173c5db40acf1439f8b6301b 2388 di-utils-terminfo_1.92+deb7u1_i386.udeb
Files: 
 dc04b914537e038db0f678505873365a 2182 debian-installer standard debian-installer-utils_1.92+deb7u1.dsc
 3116fee2a6b54b7df2e84f8ecc2be993 113346 debian-installer standard debian-installer-utils_1.92+deb7u1.tar.gz
 752170204c3c52fda1402e1b53d9197e 22046 debian-installer standard di-utils-shell_1.92+deb7u1_all.udeb
 1f06898a4af17d6d4ca5726da92bb08b 9950 debian-installer standard di-utils-reboot_1.92+deb7u1_all.udeb
 c043bfddaa1f252c70761074f0172db9 2808 debian-installer extra di-utils-exit-installer_1.92+deb7u1_all.udeb
 03e25e35eabaf98e225e53bb51b5d3b6 32040 debian-installer standard di-utils_1.92+deb7u1_i386.udeb
 941910cfcf53f642e5ea0c6c2365712d 2240 debian-installer standard di-utils-mapdevfs_1.92+deb7u1_i386.udeb
 39e54288485f302ffc8469a556209cba 2388 debian-installer standard di-utils-terminfo_1.92+deb7u1_i386.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUP4pHocvcCxNbiWoAQJhtA/6AkzVQhtsBI9U5VpqWEstIN/eSqiWV4n0
x9gQllL6+YXCDK6SsSsuMhq7b0W4UztIBjkOMU4+NAkWZECIpjDzeU73wwOMmq7t
DAWxyF+tChmB30WvxKbV7DtOXQ08ztrGB5ApfgTlu/JmTWX5mArVZUn8WRsW+2E3
FiUewmjnpxGjkXwcehgrDLmcnR3tagF+ymUjq2qLiwq0aJ7cY2tKlrCYYf4e5vnS
GuFl6WrGzeYUmi9LGSLTi+3lW8esbt2GztTR0bEmuQR/kalZiakhhlinD4Pus95k
Nj7IFYyp3gk1EusGpHB8GnoU8zoqqbdLFRrJ8eK7atStgu7uSJqRncJIBHZe7Qr/
zGlvH3iQgco3azL5DEhTW94H/4kmIE/8Vjz8JhLzdbO/otS6F++JIq3GZRPnm5V1
+3UPaa56x60YshivbY+CajQ9+zjYz1g9PC43LEw8RwXfnsxqflgieUhpmX3N4FCX
e52ezDdtRtPZFyc3kLc6/mHBhWevpcl/qlYXljSe1qlNEkFfN1F9R0SwAGRdSykJ
HJiKwxZ7P90PWQRsX5NU+YrDYVtzb0LsdwQONOthbJcrxDyFyqfsUOWcUK5qsqpu
9JuO5zbb1/8xC/FZckT3MonMz0iV6D0wZ/mlrTssLznnI8ZHC0NYsZaxRvhSHpOt
NxKs+U8rsJ4=
=I4Rk
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:54:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.